import { DimensionsMap } from "aws-cdk-lib/aws-cloudwatch";
import { ITable } from "aws-cdk-lib/aws-dynamodb";
import { BaseMetricFactory, BaseMetricFactoryProps, MetricFactory } from "../../common";
export interface DynamoTableGlobalSecondaryIndexMetricFactoryProps extends BaseMetricFactoryProps {
    readonly table: ITable;
    readonly globalSecondaryIndexName: string;
}
export declare class DynamoTableGlobalSecondaryIndexMetricFactory extends BaseMetricFactory<DynamoTableGlobalSecondaryIndexMetricFactoryProps> {
    protected readonly table: ITable;
    protected readonly dimensionsMap: DimensionsMap;
    constructor(metricFactory: MetricFactory, props: DynamoTableGlobalSecondaryIndexMetricFactoryProps);
    metricProvisionedReadCapacityUnits(): import("../../common").MetricWithAlarmSupport;
    metricProvisionedWriteCapacityUnits(): import("../../common").MetricWithAlarmSupport;
    metricConsumedReadCapacityUnits(): import("../../common").MetricWithAlarmSupport;
    metricConsumedWriteCapacityUnits(): import("../../common").MetricWithAlarmSupport;
    metricIndexConsumedWriteUnitsMetric(): import("../../common").MetricWithAlarmSupport;
    metricThrottledReadRequestCount(): import("../../common").MetricWithAlarmSupport;
    metricThrottledWriteRequestCount(): import("../../common").MetricWithAlarmSupport;
    metricThrottledIndexRequestCount(): import("../../common").MetricWithAlarmSupport;
}
